include ../../components/paginacao
include ../../components/editar/modalAtivar
include ../../components/editar/modalDesativar
include modalRemover

h1.page-header(ng-if="verificarPermissao(AcaoSistema.LISTAR_PESSOAS_JURIDICAS)")
	| Gestão de pessoas jurídicas

.card(ng-if="verificarPermissao(AcaoSistema.LISTAR_PESSOAS_JURIDICAS)")

	h3 Pesquisar

	form(name="form", novalidate)
		.form-group
			.input-group(ng-if="pesquisa == 'simplificada'")
				input.form-control(type="text", placeholder="Informe a razão social ou CNPJ da pessoa desejada", ng-model="filtro.filtroSimplificado", on-enter="listar()")
				.input-group-btn
					button.btn.btn-group.btn-raised.btn-sm.btn-primary(type="button", ng-click="listar()")
						i.material-icons search
						|	Pesquisar

		.row(ng-if="pesquisa == 'avançada'")

			.col-md-3
				.form-group
					label(for='razao_social') Razão social:
					input.form-control(name="razao_social", type="text", ng-model="filtro.razaoSocial", on-enter="listar()")

			.col-md-3
				.form-group
					label(for='cnpj') CNPJ:
					input.form-control(name="cnpj", type="text", ng-model="filtro.cnpj", on-enter="listar()", mask="99.999.999/9999-99", validate="false", restrict="reject")

			.col-md-4
				.form-group
					label(for='perfil_de_usuario') Perfil de usuário:
					select.form-control(name='perfil_de_usuario', ng-options="perfilUsuario.nome as perfilUsuario.nome for perfilUsuario in perfisUsuario", ng-model="filtro.filtroUsuario.perfil", on-enter="listar()")
						option(value="" disabled selected style="display: none;") Selecione

			.col-md-2
				.form-group
					label(for='status_de_usuario') Status de usuário:
					select.form-control(name='status_de_usuario', ng-options="statusUsuario.valor as statusUsuario.nome for statusUsuario in constantes.statusUsuario", ng-model="filtro.filtroUsuario.ativo", on-enter="listar()")
						option(value="" disabled selected style="display: none;") Selecione


	button#botaoPesquisar.btn.btn-raised.btn-sm.btn-primary.pull-right(type="button", ng-click="listar()", ng-if="pesquisa == 'avançada'")
		i.material-icons search
		|	Pesquisar

	button.btn.btn-link.no-padding-sides.btn-shortcut-primary.btn-xs.pull-left(type="button", ng-click="mudarPequisa('avançada')", ng-if="pesquisa == 'simplificada'")
		i.material-icons search
		|	Pesquisa avançada

	button.btn.btn-link.no-padding-sides.btn-shortcut-primary.btn-xs.pull-left(type="button", ng-click="mudarPequisa('simplificada')", ng-if="pesquisa == 'avançada'")
		i.material-icons search
		|	Pesquisa simplificada

	button.btn-space.btn.btn-link.no-padding-sides.btn-xs.btn-shortcut-danger.pull-left.btn-blur(type="button", ng-click="limparFiltro()")
		i.material-icons clear
		|	Limpar

.card(ng-if="verificarPermissao(AcaoSistema.LISTAR_PESSOAS_JURIDICAS)")

	h3 Pessoas cadastradas

	table.table.table-hover.table-striped(ng-if='paginacao.totalItens > 0')
		thead
			tr
				th.col-fixed-50

				th.col-md-6
					span.pointer(ng-click='listar("Razão social", ordenacaoReversa = !ordenacaoReversa)')
						| Razão social
					i.pointer.material-icons(ng-click='listar("Razão social", ordenacaoReversa)', ng-show='campo !== "Razão social"') filter_list
					span.pointer(ng-show='campo == "Razão social"')
						i.material-icons(ng-click='listar("Razão social", ordenacaoReversa = !ordenacaoReversa)', ng-show='!ordenacaoReversa') arrow_downward
						i.material-icons(ng-click='listar("Razão social", ordenacaoReversa = !ordenacaoReversa)', ng-show='ordenacaoReversa') arrow_upward

				th.col-md-3
					| CNPJ

				th.col-md-3
					span.pointer(ng-click='listar("Municipio", ordenacaoReversa = !ordenacaoReversa)')
						| Município - UF
					i.pointer.material-icons(ng-click='listar("Municipio", ordenacaoReversa)', ng-show='campo !== "Municipio"') filter_list
					span.pointer(ng-show='campo == "Municipio"')
						i.material-icons(ng-click='listar("Municipio", ordenacaoReversa = !ordenacaoReversa)', ng-show='!ordenacaoReversa') arrow_downward
						i.material-icons(ng-click='listar("Municipio", ordenacaoReversa = !ordenacaoReversa)', ng-show='ordenacaoReversa') arrow_upward
				th

		tbody

			tr(ng-repeat=("pessoa in pessoas"))

				td.user-info
					i.mdi.mdi-24px( uib-tooltip="{{usuarioStatus(pessoa)}}", tooltip-placement="top" ,ng-class="{'inativo mdi-account-off': pessoa.isUsuario && !pessoa.usuario.ativo, 'ativo mdi-account-check': pessoa.isUsuario && pessoa.usuario.ativo, 'inexistente mdi-account-alert': !pessoa.isUsuario}")

				td
					.text(uib-tooltip="{{pessoa.razaoSocial}}", tooltip-placement="top-left")
						span {{pessoa.razaoSocial}}

				td
					.text(uib-tooltip="{{pessoa.cnpj | cpfCnpj}}", tooltip-placement="top-left")
						span {{pessoa.cnpj | cpfCnpj}}

				td
					.text(uib-tooltip="{{pessoa.enderecoPrincipal.municipio.nome}} - {{pessoa.enderecoPrincipal.municipio.estado.sigla}}", tooltip-placement="top-left")
						span {{pessoa.enderecoPrincipal.municipio.nome}} - {{pessoa.enderecoPrincipal.municipio.estado.sigla}}

				td
					div.dropdown
						button.btn.btn-primary.btn-xs.btn-outline(type="button", data-toggle="dropdown", ng-if="verificarPermissao(AcaoSistema.VISUALIZAR_PESSOA_JURIDICA) || verificarPermissao(AcaoSistema.REMOVER_PESSOA_JURIDICA) || verificarPermissao(AcaoSistema.ATIVAR_DESATIVAR_USUARIO) || verificarPermissao(AcaoSistema.EDITAR_PESSOA_JURIDICA)")
							|	ações &nbsp;
							span.caret

						ul.dropdown-menu.dropdown-menu-right(role="menu")
							li(ng-if="verificarPermissao(AcaoSistema.VISUALIZAR_PESSOA_JURIDICA)")
								a(title='Visualizar', ng-click='goToRoute("pessoaJuridica/visualizacao/" + pessoa.id)')
									i.material-icons remove_red_eye
									|	Visualizar
							//- li(ng-if='getUsuario().id != pessoa.usuario.id && verificarPermissao(AcaoSistema.REMOVER_PESSOA_JURIDICA)')
							//- 	a(title='Excluir', ng-click='abrirModalExcluir(pessoa)')
							//- 		i.material-icons delete
							//- 		|	Excluir
							//- li(ng-if='pessoa.usuario && getUsuario().id != pessoa.usuario.id && verificarPermissao(AcaoSistema.ATIVAR_DESATIVAR_USUARIO)')
							//- 	a.user-info.user-infor-status(title='Ativar', ng-if='!pessoa.usuario.ativo', ng-click='abrirModalAtivar(pessoa)')
							//- 		i.mdi.mdi-account-check.ativar
							//- 		|	Ativar

							//- 	a.user-info.user-infor-status(title='Desativar', ng-if='pessoa.usuario.ativo', ng-click='abrirModalDesativar(pessoa)')
							//- 		i.mdi.mdi-account-off.desativar
							//- 		|	Desativar

	+paginacao("paginacao", "pessoas")

	center(ng-if='paginacao.totalItens === 0')
		span
			| Não existem dados a serem exibidos.


